From bd7890e226bb37a38c60ead73caa2c448797b4b5 Mon Sep 17 00:00:00 2001
From: Tristan Matthews <tmatth@videolan.org>
Date: Wed, 31 Aug 2022 14:11:26 -0400
Subject: [PATCH 1/1] opus_silk: reset midonly flag after skipping LBRR

Fix suggested by Mark Harris. Fixes ticket #9890

Simplified after feedback from Anton Khirnov.
---
 libavcodec/opus_silk.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libavcodec/opus_silk.c b/libavcodec/opus_silk.c
index 8523b55ada..f9d67f4fb3 100644
--- a/libavcodec/opus_silk.c
+++ b/libavcodec/opus_silk.c
@@ -833,6 +833,8 @@ int ff_silk_decode_superframe(SilkContext *s, OpusRangeCoder *rc,
                 int active1 = (j == 0 && !(redundancy[1] & (1 << i))) ? 0 : 1;
                 silk_decode_frame(s, rc, i, j, coded_channels, 1, active1, 1);
             }
+
+        s->midonly = 0;
     }
 
     for (i = 0; i < nb_frames; i++) {
-- 
2.34.1

